export declare const instrumentation: {
    instrumentAdapter(createFunction: Function, _metadata: any): Function;
};
export declare function instrumentAdapter(createFunction: Function, _metadata: any): Function;
export declare function incrementGetRecordNotifyChangeAllowCount(): void;
export declare function incrementGetRecordNotifyChangeDropCount(): void;
export declare function incrementNotifyRecordUpdateAvailableAllowCount(): void;
export declare function incrementNotifyRecordUpdateAvailableDropCount(): void;
export declare function refreshApiEvent(): void;
export declare function instrumentGraphqlAdapter(createFunction: Function, _metadata: any): Function;
export declare function setLdsAdaptersUiapiInstrumentation(_uiapiRegistration: any): void;
export declare function setLdsNetworkAdapterInstrumentation(_networkAdapterRegistration: any): void;
export declare function setupInstrumentation(_luvio: any, _store: any): void;
export declare function instrumentLuvio(_context: unknown): void;
export declare const REFRESH_UIAPI_KEY = "refreshUiApi";
export declare const METRIC_KEYS: {};
export declare const O11Y_NAMESPACE_LDS_MOBILE = "lds-mobile";
export declare const withInstrumentation: () => undefined;
export declare class MetricsReporter {
    reportGraphqlQueryParseError(): void;
}
